# Contributing to Mantis

Thank you for your interest in contributing to Mantis! Please follow these guidelines to help us maintain high code quality and foster a welcoming community.

## How to Contribute

1. **Fork the Repository**
   - Create a fork on GitHub.

2. **Clone Your Fork**
   ```bash
   git clone https://github.com/yourusername/mantis.git
   cd mantis
   ```

3. **Create a Branch**
   ```bash
   git checkout -b feature/your-feature-name
   ```

4. **Make Your Changes**
   - Implement your feature or bug fix.

5. **Run Tests**
   ```bash
   python -m unittest discover -s tests
   ```

6. **Commit Your Changes**
   ```bash
   git commit -m "Your descriptive commit message"
   ```

7. **Push Your Branch**
   ```bash
   git push origin feature/your-feature-name
   ```

8. **Create a Pull Request**
   - Open a pull request on GitHub, describe your changes, and link any related issues.

## Code Style

- Follow [PEP8](https://www.python.org/dev/peps/pep-0008/).
- Write clear docstrings for functions and classes.
- Ensure that all new code is covered by tests.

## Reporting Issues

- Please use the issue tracker to report bugs and request features.

Thank you for helping make Mantis even better! 